/** @type {import('@types/eslint').Linter.Config} */
module.exports = {
  parser: "@typescript-eslint/parser",
  plugins: ["@typescript-eslint", "prettier"],
  extends: [
    "eslint:recommended",
    "plugin:@typescript-eslint/eslint-recommended",
    "plugin:@typescript-eslint/recommended",
    "prettier",
    "plugin:prettier/recommended",
  ],
  rules: {
    "no-unused-vars": "off",
    "@typescript-eslint/no-unused-vars": "error",
    "require-await": "error",
    "no-return-await": "warn",
  },
  env: {
    browser: true,
    es2020: true,
  },
  overrides: [
    {
      files: [".eslintrc.js", "rollup.config.js"],
      env: {
        browser: false,
        node: true,
      },
    },
  ],
}
